Bug 1874257 - Hide cluster upgrade UI on OpenShift Dedicated and Amazon Red Hat OpenShift
Summary: Hide cluster upgrade UI on OpenShift Dedicated and Amazon Red Hat OpenShift
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.6.0
Assignee: Robb Hamilton
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1877012
TreeView+ depends on / blocked
 
Reported: 2020-08-31 20:01 UTC by Patrick Strick
Modified: 2020-09-21 17:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The cluster upgrade UI is always present. Consequence: OpenShift Dedicated users are not permitted to perform cluster upgrades. Fix: Hide the cluster upgrade UI when the console branding is OpenShift Dedicated. Result: OpenShift Dedicated users do not see the cluster upgrade UI.
Clone Of:
: 1877012 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6555 None closed Bug 1874257: Hide cluster upgrade UI on OpenShift Dedicated 2020-09-21 20:02:59 UTC

Description Patrick Strick 2020-08-31 20:01:01 UTC
Description of problem:
OSD and AMRO clusters the cluster version is managed through Hive and OpenShift Cluster Manager. In those systesm, no users, including those with the cluster-admin role, should see UI elements about upgrading the cluster in the OpenShift console.

When the cluster is branded as OSD or AMRO:
1. Hide the upgrade notification in the notification drawer, home -> status page, and about dialog
2. Remove the edit channel and start upgrade buttons from the cluster settings page

Version-Release number of selected component (if applicable):
4.5

See https://bugzilla.redhat.com/show_bug.cgi?id=1857843 for a similar change.

Comment 1 Jakub Hadvig 2020-09-01 09:32:29 UTC
Based on the description it should be enough to backport to 4.5.

Comment 6 Robb Hamilton 2020-09-08 17:16:56 UTC
Note https://github.com/openshift/console/pull/6555 only fixes Dedicated as we do not yet have a separate branding option for Amazon Red Hat OpenShift.

Comment 9 Yanping Zhang 2020-09-11 07:49:03 UTC
Checked on 4.6 cluster with payload 4.6.0-0.nightly-2020-09-09-173545.
When brand is ocp, could see upgrade notification from console.
Change brand to dedicated, check on console again, check in the notification drawer, home -> status page, and about dialog, there is no upgrade button link now. Check on cluster settings page, channel edit and update button is hidden.
The bug is fixed.


Note You need to log in before you can comment on or make changes to this bug.